Bug 487378 - Eject perl-TimeDate from EPEL4?
Eject perl-TimeDate from EPEL4?
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: perl-DateTime (Show other bugs)
el4
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 13:22 EST by Kevin Graham
Modified: 2009-03-23 13:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 13:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Graham 2009-02-25 13:22:51 EST
As of 4.6, perl-TimeDate got rolled into the main RHEL distribution, with revision 1.16-5.el4 (Jun 27 2007 according to specfile changelog). This matched EPEL4 at the time, but EPEL bumped to 1.16-6.el4 on Jun 28 2007. 

This version bump in particular would seem to be against policy of "enhance and never disturb the Enterprise Linux distributions they were build for. Thus packages from EPEL should never replace packages from the target base distribution...".

Policy doesn't seem clear on the conflict policy when a package is promoted from EPEL into RHEL (it would seem the promote should also include a release bump to ensure preference of the RHEL package), but bumping the EPEL release above RHEL's would seem to be a clear bug.

EPEL4's current perl-TimeDate:

Name        : perl-TimeDate                Relocations: (not relocatable)
Version     : 1.16                              Vendor: Fedora Project
Release     : 6.el4                         Build Date: Sun Jul 22 17:24:04 2007
Install Date: (not installed)               Build Host: xenbuilder2.fedora.redhat.com
Group       : Development/Libraries         Source RPM: perl-TimeDate-1.16-6.el4.src.rpm
Size        : 65525                            License: GPL or Artistic
Signature   : DSA/SHA1, Mon Jul 23 00:45:58 2007, Key ID 119cc036217521f6
Packager    : Fedora Project <http://bugzilla.redhat.com/bugzilla>
URL         : http://search.cpan.org/dist/TimeDate/
Summary     : A Perl module for time and date manipulation
Description :
This module includes a number of smaller modules suited for
manipulation of time and date strings with Perl.  In particular, the
Date::Format and Date::Parse modules can display and read times and
dates in various formats, providing a more reliable interface to
textual representations of points in time.


RHEL4's curent perl-TimeDate:

Name        : perl-TimeDate                Relocations: (not relocatable)
Version     : 1.16                              Vendor: Red Hat, Inc.
Release     : 5.el4                         Build Date: Wed Jun 27 10:25:53 2007
Install Date: (not installed)               Build Host: js20-bc2-9.build.redhat.com
Group       : Development/Libraries         Source RPM: perl-TimeDate-1.16-5.el4.src.rpm
Size        : 65525                            License: GPL or Artistic
Signature   : DSA/SHA1, Tue Jul  3 02:07:44 2007, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://search.cpan.org/dist/TimeDate/
Summary     : A Perl module for time and date manipulation
Description :
This module includes a number of smaller modules suited for
manipulation of time and date strings with Perl.  In particular, the
Date::Format and Date::Parse modules can display and read times and
dates in various formats, providing a more reliable interface to
textual representations of points in time.

Note You need to log in before you can comment on or make changes to this bug.